Class UmlBaseArtifact

Manage the artifacts

Declaration :

- C++ : class UmlBaseArtifact : public UmlItem
- Java : abstract class UmlBaseArtifact extends UmlItem

Directly inherited by : UmlArtifact

Artifact : UmlBaseArtifact

Operation create

returns a new artifact named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlDeploymentView, in s : str) : UmlArtifact, exceptions : RuntimeException
- C++ : public: static UmlArtifact * create(UmlDeploymentView * parent, const char * s)
- Java : public static UmlArtifact create(UmlDeploymentView parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlDeploymentDiagram
- C++ : public: UmlDeploymentDiagram * associatedDiagram()
- Java : public UmlDeploymentDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(inout d : UmlDeploymentDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlDeploymentDiagram * d)
- Java : public void set_AssociatedDiagram(UmlDeploymentDiagram d) throws RuntimeException

Operation associatedClasses

returns (in Java a copy of) the optional associated classes
significant when the artifact is stereotyped <<source>>

Declaration :

- Uml : + associatedClasses() : UmlClass
- C++ : public: const QVector<UmlClass> & associatedClasses()
- Java : public UmlClass[] associatedClasses()

Operation addAssociatedClass

adds 'cl' at the end of the associated classes list, returns false
if 'cl' is already an associate class.
significant when the artifact is stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + addAssociatedClass(inout cl : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool addAssociatedClass(UmlClass * cl)
- Java : public void addAssociatedClass(UmlClass cl) throws RuntimeException

Operation removeAssociatedClass

removes an associated class
significant when the artifact is not stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + removeAssociatedClass(inout cl : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool removeAssociatedClass(UmlClass * cl)
- Java : public void removeAssociatedClass(UmlClass cl) throws RuntimeException

Operation set_AssociatedClasses

set the associated classes list
significant when the artifact is stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedClasses(inout l : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedClasses(const QVector<UmlClass> & l)
- Java : public void set_AssociatedClasses(UmlClass[] l) throws RuntimeException

Operation associatedArtifacts

returns (in Java a copy of) the associated artifacts list
significant when the artifact is not stereotyped <<source>>

Declaration :

- Uml : + associatedArtifacts() : UmlArtifact
- C++ : public: const QVector<UmlArtifact> & associatedArtifacts()
- Java : public UmlArtifact[] associatedArtifacts()

Operation addAssociatedArtifact

adds an associated artifacts, returns false if 'cp' is already
an associate artifact.
significant when the artifact is not stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + addAssociatedArtifact(in cp : UmlArtifact) : bool, exceptions : RuntimeException
- C++ : public: bool addAssociatedArtifact(UmlArtifact * cp)
- Java : public void addAssociatedArtifact(UmlArtifact cp) throws RuntimeException

Operation removeAssociatedArtifact

removes an associated artifacts
significant when the artifact is not stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + removeAssociatedArtifact(in cp : UmlArtifact) : bool, exceptions : RuntimeException
- C++ : public: bool removeAssociatedArtifact(UmlArtifact * cp)
- Java : public void removeAssociatedArtifact(UmlArtifact cp) throws RuntimeException

Operation removeAllAssociatedArtifacts

removes all associated artifacts
significant when the artifact is not stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + removeAllAssociatedArtifacts() : bool, exceptions : RuntimeException
- C++ : public: bool removeAllAssociatedArtifacts()
- Java : public void removeAllAssociatedArtifacts() throws RuntimeException

Operation cppHeader

returns the C++ header file definition

Declaration :

- Uml : + cppHeader() : string
- C++ : public: const QCString & cppHeader()
- Java : public String cppHeader()

Operation set_CppHeader

to set the C++ header file definition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppHeader(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppHeader(const QCString & s)
- Java : public void set_CppHeader(String s) throws RuntimeException

Operation cppSource

returns the C++ source file definition

Declaration :

- Uml : + cppSource() : string
- C++ : public: const QCString & cppSource()
- Java : public String cppSource()

Operation set_CppSource

to set the C++ source file definition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppSource(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppSource(const QCString & s)
- Java : public void set_CppSource(String s) throws RuntimeException

Operation javaSource

returns the Java file definition

Declaration :

- Uml : + javaSource() : string
- C++ : public: const QCString & javaSource()
- Java : public String javaSource()

Operation set_JavaSource

to set the Java file definition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaSource(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaSource(const QCString & s)
- Java : public void set_JavaSource(String s) throws RuntimeException

Operation phpSource

returns the Php file definition

Declaration :

- Uml : + phpSource() : string
- C++ : public: const QCString & phpSource()
- Java : public String phpSource()

Operation set_PhpSource

to set the Php file definition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PhpSource(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_PhpSource(const QCString & s)
- Java : public void set_PhpSource(String s) throws RuntimeException

Operation idlSource

returns the Idl file definition

Declaration :

- Uml : + idlSource() : string
- C++ : public: const QCString & idlSource()
- Java : public String idlSource()

Operation set_IdlSource

to set the Idl file definition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IdlSource(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlSource(const QCString & s)
- Java : public void set_IdlSource(String s) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded
automatically if needed. args unused

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlDeploymentDiagram
- C++ : private: UmlDeploymentDiagram * _assoc_diagram
- Java : private UmlDeploymentDiagram _assoc_diagram

Relation _assoc_classes (<unidirectional association>)

Declaration :

- Uml : - _assoc_classes : UmlClass, multiplicity : *
- C++ : private: QVector<UmlClass> _assoc_classes
- Java : private UmlClass[] _assoc_classes

Relation _associated (<unidirectional association>)

Declaration :

- Uml : - _associated : UmlArtifact, multiplicity : *
- C++ : private: QVector<UmlArtifact> _associated
- Java : private UmlArtifact[] _associated

Attribut _cpp_h

Declaration :

- Uml : - _cpp_h : string
- C++ : private: QCString _cpp_h
- Java : private String _cpp_h

Attribut _cpp_src

Declaration :

- Uml : - _cpp_src : string
- C++ : private: QCString _cpp_src
- Java : private String _cpp_src

Attribut _java_src

Declaration :

- Uml : - _java_src : string
- C++ : private: QCString _java_src
- Java : private String _java_src

Attribut _php_src

Declaration :

- Uml : - _php_src : string
- C++ : private: QCString _php_src
- Java : private String _php_src

Attribut _idl_src

Declaration :

- Uml : - _idl_src : string
- C++ : private: QCString _idl_src
- Java : private String _idl_src

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

internal, do NOT use it

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

internal, do NOT use it

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

Operation read_php_

internal, do NOT use it

Declaration :

- Uml : # read_php_() : void
- C++ : protected: virtual void read_php_()
- Java : protected void read_php_()

Operation read_idl_

internal, do NOT use it

Declaration :

- Uml : # read_idl_() : void
- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

Operation UmlBaseArtifact

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseArtifact(in id : item_id, in n : string) :
- C++ : protected: UmlBaseArtifact(void * id, const QCString & n)
- Java : protected UmlBaseArtifact(long id, String n)

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseClass;

All public operations : addAssociatedArtifact , addAssociatedClass , apply , associatedArtifacts , associatedClasses , associatedDiagram , children , childrenVisible , cppHeader , cppSource , create , defined_ , deleteIt , description , getIdentifier , identifier_ , idlSource , isMarked , isToolRunning , isWritable , javaSource , kind , kind , markedItems , moveAfter , name , parent , phpSource , properties , propertyValue , referencedBy , removeAllAssociatedArtifacts , removeAssociatedArtifact , removeAssociatedClass , set_AssociatedClasses , set_AssociatedDiagram , set_childrenVisible , set_CppHeader , set_CppSource , set_Description , set_IdlSource , set_isMarked , set_JavaSource , set_Name , set_PhpSource , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload